# Serialized Form

## Package com.microsoft.sqlserver.jdbc

### Class com.microsoft.sqlserver.jdbc.AE extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.dtv extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.FailOverInfo extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.FailOverMapSingleton extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.IOBuffer extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.ParsedSQLMetadata extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerBlob extends Object implements Serializable

serialVersionUID:
  -3526170228097889085L

### Serialized Fields

#### activeStreams

    ArrayList<E extends Object> activeStreams

#### isClosed

    boolean isClosed

#### traceID

    String traceID

#### value

    byte[] value

### Class com.microsoft.sqlserver.jdbc.SQLServerClob extends com.microsoft.sqlserver.jdbc.SQLServerClobBase implements Serializable

serialVersionUID:
  2872035282200133865L

### Class com.microsoft.sqlserver.jdbc.SQLServerConnectionPoolDataSource extends SQLServerDataSource implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream stream)
                     throws InvalidObjectException

Throws:
  `InvalidObjectException`

#### writeReplace

    private Object writeReplace​()
                         throws ObjectStreamException

Throws:
  `ObjectStreamException`

### Class com.microsoft.sqlserver.jdbc.SQLServerDataSource extends Object implements Serializable

serialVersionUID:
  654861379544314296L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream stream)
                     throws InvalidObjectException

Throws:
  `InvalidObjectException`

#### writeReplace

    private Object writeReplace​()
                         throws ObjectStreamException

Throws:
  `ObjectStreamException`

### Serialized Fields

#### connectionProps

    Properties connectionProps

#### dataSourceDescription

    String dataSourceDescription

#### dataSourceURL

    String dataSourceURL

#### loggingClassName

    String loggingClassName

#### traceID

    String traceID

#### trustStorePasswordStripped

    boolean trustStorePasswordStripped

### Class com.microsoft.sqlserver.jdbc.SQLServerException extends SQLException implements Serializable

### Serialized Fields

#### driverErrorCode

    int driverErrorCode

### Class com.microsoft.sqlserver.jdbc.SQLServerJdbc42 extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerJdbc43 extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerNClob extends com.microsoft.sqlserver.jdbc.SQLServerClobBase implements Serializable

serialVersionUID:
  1L

### Class com.microsoft.sqlserver.jdbc.SQLServerXADataSource extends SQLServerConnectionPoolDataSource implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream stream)
                     throws InvalidObjectException

Throws:
  `InvalidObjectException`

#### writeReplace

    private Object writeReplace​()
                         throws ObjectStreamException

Throws:
  `ObjectStreamException`

### Class com.microsoft.sqlserver.jdbc.tdsparser extends none implements Serializable

## Package microsoft.sql

### Class microsoft.sql.DateTimeOffset extends Object implements Serializable

serialVersionUID:
  541973748553014280L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream stream)
                     throws InvalidObjectException

Throws:
  `InvalidObjectException`

#### writeReplace

    private Object writeReplace​()

### Serialized Fields

#### formattedValue

    String formattedValue

#### minutesOffset

    int minutesOffset

#### nanos

    int nanos

#### utcMillis

    long utcMillis

## Package mssql.googlecode.concurrentlinkedhashmap

### Class mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap extends AbstractMap<K,V> implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream stream)
                     throws InvalidObjectException

Throws:
  `InvalidObjectException`

#### writeReplace

    Object writeReplace​()

### Serialized Fields

#### capacity

    AtomicLong capacity

#### concurrencyLevel

    int concurrencyLevel

#### data

    ConcurrentMap<K extends Object,V extends Object> data

#### drainStatus

    AtomicReference<V extends Object> drainStatus

#### evictionDeque

    mssql.googlecode.concurrentlinkedhashmap.LinkedDeque<E extends mssql.googlecode.concurrentlinkedhashmap.Linked<E>> evictionDeque

#### evictionLock

    Lock evictionLock

#### listener

    EvictionListener<K,V> listener

#### pendingNotifications

    Queue<E extends Object> pendingNotifications

#### readBufferDrainAtWriteCount

    AtomicLong[] readBufferDrainAtWriteCount

#### readBufferReadCount

    long[] readBufferReadCount

#### readBuffers

    AtomicReference<V extends Object>[][] readBuffers

#### readBufferWriteCount

    AtomicLong[] readBufferWriteCount

#### weigher

    EntryWeigher<K,V> weigher

#### weightedSize

    AtomicLong weightedSize

#### writeBuffer

    Queue<E extends Object> writeBuffer